[weasel-commit] Source: libggz=0.0.14.1-1

  • From: rbuilder@xxxxxxxxx
  • To: weasel-commit@xxxxxxxxxxxxx
  • Date: Wed, 23 Jun 2010 13:35:03 -0400

================================
libggz:source=0.0.14.1-1
cvc rdiff libggz -1 /weasel.rpath.org@wgl:3-devel/0.0.14.1-1
================================
0.0.14.1-1 Filip Brcic (brcha@xxxxxxxxxxxx) Wed Jun 23 13:34:30 2010
    libggz 0.0.14.1

libggz.recipe: new
--- /dev/null
+++ libggz.recipe
@@ -0,0 +50 @@
+#
+# Copyright (c) 2010 Weasel GNU/Linux [Filip Brcic (brcha@xxxxxxxxxxxx)]
+# Distributed under the terms of the GNU General Public License v3
+#
+
+class Libggz(AutoPackageRecipe):
+    name = 'libggz'
+    version = '0.0.14.1'
+
+    buildRequires = [
+        'libgcrypt:devel', 'openssl:devel', 'krb5:devel',
+        'e2fsprogs:devel', 'libstdc++:devel', 'gcc-c++:runtime',
+        'libgpg-error:devel',
+        ]
+
+    shortDesc  = 'The GGZ library, used by GGZ Gaming Zone'
+    longDesc   = """
+The GGZ project makes free online gaming possible. We develop games
+and work with other game projects to create a better environment for
+playing on the internet, and we showcase all that on the GGZ Community
+site, inviting everyone to join us there. The libggz library wraps
+many common low-level functions which are often used in C programming.
+"""
+    url        = 'http://dev.ggzgamingzone.org/libraries/libggz/'
+    licenses   = [ 'LGPL-2.1' ]
+    categories = [ 'Development/Games' ]
+
+    def unpack(r):
+        r.addArchive('mirror://ggz/%(version)s/')
+
+        r.macros.ggzmoddir = '%(datadir)s/ggz/modules'
+
+        r.AutoDoc('AUTHORS', 'ChangeLog', 'NEWS', 'QuickStart.GGZ',
+                  'README*', 'TODO')
+
+        r.addSource('ggzmod.tagdescription',
+                    dest='%(tagdescriptiondir)s/ggzmod',
+                    macros=True)
+        r.addSource('ggzmod.taghandler',
+                    dest='%(taghandlerdir)s/ggzmod',
+                    macros=True,
+                    mode=0755)
+
+    def configure(r):
+        r.Configure(
+            ' --disable-dependency-tracking'
+            ' --enable-noregistry="%(ggzmoddir)s"'
+            ' --with-gcrypt'
+            ' --with-tls=OpenSSL'
+            )

ggzmod.tagdescription: new
--- /dev/null
+++ ggzmod.tagdescription
@@ -0,0 +5 @@
+file         %(taghandlerdir)s/ggzmod
+implements   files update
+implements   files remove
+include      %(ggzmoddir)s
+datasource   stdin

libggz-0.0.14.1.tar.gz: new
ggzmod.taghandler: new
--- /dev/null
+++ ggzmod.taghandler
@@ -0,0 +36 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+    echo "not enough arguments: $0 $*" >&2
+    exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+source %(datadir)s/ecmds/ecmds.sh
+
+case $type in 
+    files)
+       case $action in
+           update|remove)
+               echo -n > %(sysconfdir)s/ggz.modules
+               if [[ -d %(ggzmoddir)s ]]
+               then
+                   ebegin "Installing GGZ modules"
+                   cd %(ggzmoddir)s
+                   rval=0
+                   find . -type f -name '*.dsc' | while read dsc
+                   do
+                       ggz-config -Dim "${dsc}" || ((rval++))
+                   done
+                   eend ${rval}
+               fi
+               ;;
+       esac
+    ;;
+esac
+
+exit 0


Committed by: brcha

Other related posts:

  • » [weasel-commit] Source: libggz=0.0.14.1-1 - rbuilder